package user

import (
	"net/http"
	"tyc-server/app/user/cmd/api/internal/logic/user"
	"tyc-server/app/user/cmd/api/internal/svc"
	"tyc-server/common/result"
)

func DecryptMobileHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := user.NewDecryptMobileLogic(r.Context(), svcCtx)
		err := l.DecryptMobile()
		result.HttpResult(r, w, nil, err)
	}
}
